<?php
namespace FiloBlu\Storelocator\Block;

class Main extends \Magento\Framework\View\Element\Template
{
    public $_storeManager;

    const CONFIG_IMAGE_DIR_PREFIX = 'filoblu/storelocator/';
    const STORES_IMAGE_DIR_PREFIX = 'filoblu/storelocator/stores/image/';

    public function getBaseUrlStoresImage()
    {
        return $this->_storeManager->getStore()->getBaseUrl(\Magento\Framework\UrlInterface::URL_TYPE_MEDIA) . SELF::STORES_IMAGE_DIR_PREFIX;
    }

    public function getBaseUrlConfigImage()
    {
        return $this->_storeManager->getStore()->getBaseUrl(\Magento\Framework\UrlInterface::URL_TYPE_MEDIA) . SELF::CONFIG_IMAGE_DIR_PREFIX;
    }

    public function getAllStores()
    {
        $model = \Magento\Framework\App\ObjectManager::getInstance()->get('FiloBlu\Storelocator\Model\Stores');
        return $model->getAllStores();
    }

    public function getStoresByCurrentZoom($lat1, $lng1, $lat2, $lng2)
    {
        $model = \Magento\Framework\App\ObjectManager::getInstance()->get('FiloBlu\Storelocator\Model\Stores');
        return $model->getStoresByCurrentZoom($lat1, $lng1, $lat2, $lng2);

    }

    public function getAllAvailableTags()
    {
        $model = \Magento\Framework\App\ObjectManager::getInstance()->get('FiloBlu\Storelocator\Model\Tags');
        return $model->getAllAvailableTags();
    }

}